osl::misc::BinaryElementReader< T > Class Template Reference

`#include <binaryIO.h>`

## Classes

struct | State

## Public Member Functions

| BinaryElementReader (std::istream &is)
| ~BinaryElementReader ()
T | read ()
bool | hasNext () const
bool | failed () const

## Private Attributes

std::unique_ptr< State > | state

## Detailed Description

template<class T>
class osl::misc::BinaryElementReader< T >

Definition at line 33 of file binaryIO.h.

## Constructor & Destructor Documentation

## BinaryElementReader()

template<class T>

osl::misc::BinaryElementReader< T >::BinaryElementReader | ( | std::istream & | is | ) |

explicit

Definition at line 141 of file binaryIO.cc.

References state.

## ~BinaryElementReader()

template<class T>

osl::misc::BinaryElementReader< T >::~BinaryElementReader | ( |  | ) |

Definition at line 146 of file binaryIO.cc.

## Member Function Documentation

## failed()

template<class T>

bool osl::misc::BinaryElementReader< T >::failed | ( |  | ) | const

Definition at line 156 of file binaryIO.cc.

References state.

## hasNext()

template<class T>

bool osl::misc::BinaryElementReader< T >::hasNext | ( |  | ) | const

Definition at line 150 of file binaryIO.cc.

References state.

Referenced by osl::move_probability::FeatureSet::load_binary().

## read()

template<class T>

T osl::misc::BinaryElementReader< T >::read | ( |  | ) |

Definition at line 162 of file binaryIO.cc.

References state.

Referenced by osl::move_probability::FeatureSet::load_binary().

## Member Data Documentation

## state

template<class T>

std::unique_ptr<State> osl::misc::BinaryElementReader< T >::state

private

Definition at line 44 of file binaryIO.h.

Referenced by BinaryElementReader(), failed(), hasNext(), and read().

The documentation for this class was generated from the following files:

- binaryIO.h
- binaryIO.cc